## WebKitDOMTreeWalker

WebKitDOMTreeWalker

## Functions

WebKitDOMNode * | webkit_dom_tree_walker_parent_node ()
WebKitDOMNode * | webkit_dom_tree_walker_first_child ()
WebKitDOMNode * | webkit_dom_tree_walker_last_child ()
WebKitDOMNode * | webkit_dom_tree_walker_previous_sibling ()
WebKitDOMNode * | webkit_dom_tree_walker_next_sibling ()
WebKitDOMNode * | webkit_dom_tree_walker_previous_node ()
WebKitDOMNode * | webkit_dom_tree_walker_next_node ()
WebKitDOMNode * | webkit_dom_tree_walker_get_root ()
gulong | webkit_dom_tree_walker_get_what_to_show ()
WebKitDOMNodeFilter * | webkit_dom_tree_walker_get_filter ()
gboolean | webkit_dom_tree_walker_get_expand_entity_references ()
WebKitDOMNode * | webkit_dom_tree_walker_get_current_node ()
void | webkit_dom_tree_walker_set_current_node ()

## Properties

WebKitDOMNode * | current-node | Read
gboolean | expand-entity-references | Read
WebKitDOMNodeFilter * | filter | Read
WebKitDOMNode * | root | Read
gulong | what-to-show | Read

## Types and Values

| WebKitDOMTreeWalker

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTreeWalker

## Description

## Functions

### webkit_dom_tree_walker_parent_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_parent_node (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_first_child ()

    WebKitDOMNode *
    webkit_dom_tree_walker_first_child (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_last_child ()

    WebKitDOMNode *
    webkit_dom_tree_walker_last_child (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_previous_sibling ()

    WebKitDOMNode *
    webkit_dom_tree_walker_previous_sibling
                                   (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_next_sibling ()

    WebKitDOMNode *
    webkit_dom_tree_walker_next_sibling (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_previous_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_previous_node (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_next_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_next_node (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_get_root ()

    WebKitDOMNode *
    webkit_dom_tree_walker_get_root (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_get_what_to_show ()

    gulong
    webkit_dom_tree_walker_get_what_to_show
                                   (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A gulong

### webkit_dom_tree_walker_get_filter ()

    WebKitDOMNodeFilter *
    webkit_dom_tree_walker_get_filter (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNodeFilter.

[transfer full]

### webkit_dom_tree_walker_get_expand_entity_references ()

    gboolean
    webkit_dom_tree_walker_get_expand_entity_references
                                   (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A gboolean

### webkit_dom_tree_walker_get_current_node ()

    WebKitDOMNode *
    webkit_dom_tree_walker_get_current_node
                                   (WebKitDOMTreeWalker *self);

#### Parameters

self | A WebKitDOMTreeWalker |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_tree_walker_set_current_node ()

    void
    webkit_dom_tree_walker_set_current_node
                                   (WebKitDOMTreeWalker *self,
                                    WebKitDOMNode *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMTreeWalker |
value | A WebKitDOMNode |
error | GError |

## Types and Values

### WebKitDOMTreeWalker

    typedef struct _WebKitDOMTreeWalker WebKitDOMTreeWalker;

## Property Details

### The `“current-node”` property

      “current-node”             WebKitDOMNode *

read-only WebKitDOMNode* TreeWalker:current-node.

Flags: Read

### The `“expand-entity-references”` property

      “expand-entity-references” gboolean

read-only gboolean TreeWalker:expand-entity-references.

Flags: Read

Default value: FALSE

### The `“filter”` property

      “filter”                   WebKitDOMNodeFilter *

read-only WebKitDOMNodeFilter* TreeWalker:filter.

Flags: Read

### The `“root”` property

      “root”                     WebKitDOMNode *

read-only WebKitDOMNode* TreeWalker:root.

Flags: Read

### The `“what-to-show”` property

      “what-to-show”             gulong

read-only gulong TreeWalker:what-to-show.

Flags: Read